diff --git a/configs/socfpga_agilex_atf_defconfig b/configs/socfpga_agilex_atf_defconfig
index cc11fc1912..4f5a188a1f 100644
--- a/configs/socfpga_agilex_atf_defconfig
+++ b/configs/socfpga_agilex_atf_defconfig
@@ -93,3 +93,4 @@ CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
 CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
diff --git a/configs/socfpga_agilex_defconfig b/configs/socfpga_agilex_defconfig
index f7e767fbbe..bdc5e97026 100644
--- a/configs/socfpga_agilex_defconfig
+++ b/configs/socfpga_agilex_defconfig
@@ -86,3 +86,4 @@ CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
 CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
diff --git a/configs/socfpga_agilex_nand_atf_defconfig b/configs/socfpga_agilex_nand_atf_defconfig
old mode 100755
new mode 100644
index 58a28481f6..bfc893fd39
--- a/configs/socfpga_agilex_nand_atf_defconfig
+++ b/configs/socfpga_agilex_nand_atf_defconfig
@@ -89,4 +89,5 @@ CONFIG_USB_DWC2=y
 CONFIG_USB_STORAGE=y
 CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
-# CONFIG_SPL_USE_TINY_PRINTF is not set
\ No newline at end of file
+# CONFIG_SPL_USE_TINY_PRINTF is not set
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_agilex_nand_defconfig b/configs/socfpga_agilex_nand_defconfig
old mode 100755
new mode 100644
index f3b3c0b602..3f95aac147
--- a/configs/socfpga_agilex_nand_defconfig
+++ b/configs/socfpga_agilex_nand_defconfig
@@ -82,4 +82,5 @@ CONFIG_USB_DWC2=y
 CONFIG_USB_STORAGE=y
 CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
-# CONFIG_SPL_USE_TINY_PRINTF is not set
\ No newline at end of file
+# CONFIG_SPL_USE_TINY_PRINTF is not set
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_agilex_qspi_atf_defconfig b/configs/socfpga_agilex_qspi_atf_defconfig
old mode 100755
new mode 100644
index 9d97d34c77..b250156fe5
--- a/configs/socfpga_agilex_qspi_atf_defconfig
+++ b/configs/socfpga_agilex_qspi_atf_defconfig
@@ -78,4 +78,5 @@ CONFIG_USB_STORAGE=y
 CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
-CONFIG_PANIC_HANG=y
\ No newline at end of file
+CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_agilex_qspi_defconfig b/configs/socfpga_agilex_qspi_defconfig
old mode 100755
new mode 100644
index ee6b7b8660..34e6850ea1
--- a/configs/socfpga_agilex_qspi_defconfig
+++ b/configs/socfpga_agilex_qspi_defconfig
@@ -72,4 +72,5 @@ CONFIG_USB_STORAGE=y
 CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
-CONFIG_PANIC_HANG=y
\ No newline at end of file
+CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_agilex_vab_defconfig b/configs/socfpga_agilex_vab_defconfig
index 3c41f16162..be513d4a57 100644
--- a/configs/socfpga_agilex_vab_defconfig
+++ b/configs/socfpga_agilex_vab_defconfig
@@ -94,3 +94,4 @@ CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
 CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_n5x_atf_defconfig b/configs/socfpga_n5x_atf_defconfig
index 5e94a923bc..840e985a45 100644
--- a/configs/socfpga_n5x_atf_defconfig
+++ b/configs/socfpga_n5x_atf_defconfig
@@ -99,3 +99,4 @@ CONFIG_SHA512_ALGO=y
 CONFIG_SHA384=y
 CONFIG_FS_LOADER=y
 CONFIG_SPL_ENV_SUPPORT=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_n5x_defconfig b/configs/socfpga_n5x_defconfig
index 1f69277c8c..bf17d83561 100644
--- a/configs/socfpga_n5x_defconfig
+++ b/configs/socfpga_n5x_defconfig
@@ -87,4 +87,4 @@ CONFIG_SHA512_ALGO=y
 CONFIG_SHA384=y
 CONFIG_FS_LOADER=y
 CONFIG_SPL_ENV_SUPPORT=y
-
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_n5x_vab_defconfig b/configs/socfpga_n5x_vab_defconfig
index 0f55959a45..0a0deb67a0 100644
--- a/configs/socfpga_n5x_vab_defconfig
+++ b/configs/socfpga_n5x_vab_defconfig
@@ -101,3 +101,4 @@ CONFIG_SHA512_ALGO=y
 CONFIG_SHA384=y
 CONFIG_FS_LOADER=y
 CONFIG_SPL_ENV_SUPPORT=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_stratix10_atf_defconfig b/configs/socfpga_stratix10_atf_defconfig
index 6be4210c7d..adb78975a9 100644
--- a/configs/socfpga_stratix10_atf_defconfig
+++ b/configs/socfpga_stratix10_atf_defconfig
@@ -93,3 +93,4 @@ CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
 CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_stratix10_defconfig b/configs/socfpga_stratix10_defconfig
index 07e9f20a41..ad80d35275 100644
--- a/configs/socfpga_stratix10_defconfig
+++ b/configs/socfpga_stratix10_defconfig
@@ -90,3 +90,4 @@ CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
 CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_stratix10_nand_atf_defconfig b/configs/socfpga_stratix10_nand_atf_defconfig
old mode 100755
new mode 100644
index 29c96bf6f1..a9abd85e68
--- a/configs/socfpga_stratix10_nand_atf_defconfig
+++ b/configs/socfpga_stratix10_nand_atf_defconfig
@@ -90,4 +90,5 @@ CONFIG_USB_STORAGE=y
 CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
-CONFIG_PANIC_HANG=y
\ No newline at end of file
+CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_stratix10_nand_defconfig b/configs/socfpga_stratix10_nand_defconfig
index f41d2dc82c..48c20e5b11 100644
--- a/configs/socfpga_stratix10_nand_defconfig
+++ b/configs/socfpga_stratix10_nand_defconfig
@@ -83,4 +83,5 @@ CONFIG_USB_STORAGE=y
 CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
-CONFIG_PANIC_HANG=y
\ No newline at end of file
+CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_stratix10_qspi_atf_defconfig b/configs/socfpga_stratix10_qspi_atf_defconfig
old mode 100755
new mode 100644
index d9e55de4dc..6fcb9d7ae0
--- a/configs/socfpga_stratix10_qspi_atf_defconfig
+++ b/configs/socfpga_stratix10_qspi_atf_defconfig
@@ -78,4 +78,5 @@ CONFIG_USB_STORAGE=y
 CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
-CONFIG_PANIC_HANG=y
\ No newline at end of file
+CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file
diff --git a/configs/socfpga_agilex_qspi_defconfig b/configs/socfpga_stratix10_qspi_defconfig
old mode 100755
new mode 100644
similarity index 84%
copy from configs/socfpga_agilex_qspi_defconfig
copy to configs/socfpga_stratix10_qspi_defconfig
index ee6b7b8660..a0a2590818
--- a/configs/socfpga_agilex_qspi_defconfig
+++ b/configs/socfpga_stratix10_qspi_defconfig
@@ -11,24 +11,24 @@ CONFIG_ENV_SECT_SIZE=0x10000
 CONFIG_SYS_SPI_U_BOOT_OFFS=0x02000000
 CONFIG_DM_GPIO=y
 CONFIG_SPL_TEXT_BASE=0xFFE00000
-CONFIG_TARGET_SOCFPGA_AGILEX_SOCDK=y
-CONFIG_IDENT_STRING="socfpga_agilex"
+CONFIG_TARGET_SOCFPGA_STRATIX10_SOCDK=y
+CONFIG_IDENT_STRING="socfpga_stratix10"
 CONFIG_SPL_FS_FAT=y
 CONFIG_ARMV8_SEC_FIRMWARE_SUPPORT=y
 # CONFIG_PSCI_RESET is not set
 CONFIG_ARMV8_PSCI=y
-CONFIG_DEFAULT_DEVICE_TREE="socfpga_agilex_socdk_qspi"
+CONFIG_DEFAULT_DEVICE_TREE="socfpga_stratix10_socdk_qspi"
 CONFIG_QSPI_BOOT=y
 CONFIG_BOOTDELAY=5
 CONFIG_USE_BOOTARGS=y
 CONFIG_BOOTARGS="earlycon panic=-1"
 CONFIG_USE_BOOTCOMMAND=y
-CONFIG_BOOTCOMMAND="sf probe;run qspiload;run linux_qspi_enable;rsu dtb;run qspiboot"
-CONFIG_SPL_CACHE=y
+CONFIG_BOOTCOMMAND="sf probe;run qspiload;run linux_qspi_enable;run rsu_status;run qspiboot"
 CONFIG_SPL_SPI_LOAD=y
 CONFIG_HUSH_PARSER=y
-CONFIG_SYS_PROMPT="SOCFPGA_AGILEX # "
+CONFIG_SYS_PROMPT="SOCFPGA_STRATIX10 # "
 CONFIG_CMD_MEMTEST=y
+# CONFIG_CMD_FLASH is not set
 CONFIG_CMD_GPIO=y
 CONFIG_CMD_I2C=y
 CONFIG_CMD_MTD=y
@@ -72,4 +72,5 @@ CONFIG_USB_STORAGE=y
 CONFIG_DESIGNWARE_WATCHDOG=y
 CONFIG_WDT=y
 # CONFIG_SPL_USE_TINY_PRINTF is not set
-CONFIG_PANIC_HANG=y
\ No newline at end of file
+CONFIG_PANIC_HANG=y
+# CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
\ No newline at end of file